Page MenuHomePhabricator

Prepare and check storage layer for maiwikimedia
Closed, ResolvedPublic

Description

The new wiki is going to be a fishbowl one.

Event Timeline

Hi

As per: T168782 this looks like a public wiki but with some restrictions, what about its replication to labs hosts? Does it need to happen as a normal public wiki or should it be filtered and not replicated to labs?

Hi @Marostegui, I think the wiki should be replicated as other public wiki. In fact all other fishbowl (publicly readable, editing restricted) wikis are replicated.

Hi @Marostegui, I think the wiki should be replicated as other public wiki. In fact all other fishbowl (publicly readable, editing restricted) wikis are replicated.

Sure, fine by me. If you know have another fishbowl example, I can check if they are on labs

There are listed at https://github.com/wikimedia/operations-mediawiki-config/blob/master/dblists/fishbowl.dblist. I can do use <dbname>_p at toollabs for all of them so I think they are replicated.

Thanks @Urbanecm.
I have checked them and they are in labs indeed - not that I didn't trust you, I just wanted to double check, better be safe than leaking some private data. Hope you understand!

Please ping me once the tables have been created in production, so I can run the sanitize in sanitarium and sanitarium2 hosts to clean up all the private tables, columns etc

Thanks again!

Thank you for checking! Unfortunately I can't ping you when the tables are in prod as I can't create it. I can only prepare relevant configuration patches (as you can see in T168782, they are submitted for review).

Urbanecm moved this task from Backlog to Watching on the User-Urbanecm board.Jun 26 2017, 8:30 PM

Hi @Urbanecm,

Once https://gerrit.wikimedia.org/r/361297 is merged tables will be created in production, right? Just making sure we do not miss it like it happened with T169431#3398186.

Thanks!

THat is true probably. I'm watching the task and will ping since I notice relevant change :).

Great - thank you!

root@neodymium:/home/marostegui# mysql --skip-ssl -hdb1075 maiwiki -e "show tables;" | wc -l
83

Is this all done in production and we should go ahead and sanitize it for labs hosts?

Ping @Dereckson. As I watched -operations, it seems like we are waiting for Apache config being merged by ops (see the main task for details) and everything else is done.

Would that be a blocker for the table sanitization?

I don't think so - database is created.

Mentioned in SAL (#wikimedia-operations) [2017-07-12T14:56:50Z] <marostegui> Run redact_sanitarium on db1069 and db1095 for maiwikimedia - T168788

I have sanitized sanitarium and sanitarium2 - but before creating the views I am running a check_private_data to make sure everything has been sanitized.

Thanks (indeed it wasn't a blocker, as the db is in ready state).

Is this supposed to be like this (s3 master)?

root@db1075[(none)]> use maiwikimedia;
Database changed
root@db1075[maiwikimedia]> select count(*) from user;
+----------+
| count(*) |
+----------+
|        0 |
+----------+
1 row in set (0.02 sec)

I wanted to check that the triggers are running correctly before creating the views on labs

Mentioned in SAL (#wikimedia-operations) [2017-07-13T14:21:44Z] <marostegui> Run redact_sanitarium on db1069 and db1095 for maiwikimedia - T168788

Is this supposed to be like this (s3 master)?

root@db1075[(none)]> use maiwikimedia;
Database changed
root@db1075[maiwikimedia]> select count(*) from user;
+----------+
| count(*) |
+----------+
|        0 |
+----------+
1 row in set (0.02 sec)

I wanted to check that the triggers are running correctly before creating the views on labs

Yes, the first user will be created later by a script.

Is this supposed to be like this (s3 master)?

root@db1075[(none)]> use maiwikimedia;
Database changed
root@db1075[maiwikimedia]> select count(*) from user;
+----------+
| count(*) |
+----------+
|        0 |
+----------+
1 row in set (0.02 sec)

I wanted to check that the triggers are running correctly before creating the views on labs

Yes, the first user will be created later by a script.

Excellent - thanks. I will check later :-)

Mentioned in SAL (#wikimedia-operations) [2017-07-13T14:49:26Z] <marostegui> Skip maiwikimedia database creation which is breaking dbstore2001 replication - T168788

As per T168782#3443867 the first user was created. I can see it in production but correctly filtered on labs.
I will wait for a few more to be created before going for the views and closing this.

@Marostegui Just a notification, a few other users were created before a moment.

Thanks - I am checking the sanitized tables, but so far look good. So I will check a few more things and then create the views

Mentioned in SAL (#wikimedia-operations) [2017-07-18T12:32:12Z] <marostegui> Run maintain-views on labsdb1001,1003,1009,1010 and 1011 - T168788

Marostegui closed this task as Resolved.Jul 18 2017, 12:35 PM

I have created the views on all the labs servers